Skip to main content
GET
/
api
/
platform
/
ecosystems
/
current
Get current ecosystem
curl --request GET \
  --url https://api-next.dealroom.co/api/platform/ecosystems/current
{
  "data": {
    "slug": "<string>",
    "name": "<string>",
    "description": "<string>",
    "long_description": "<string>",
    "filter": "<string>",
    "jobs_filter": "<string>",
    "region": "<string>",
    "image_url": "<string>",
    "geojson_url": "<string>",
    "partner_logos": [
      {
        "name": "<string>",
        "url": "<string>",
        "image_url": "<string>"
      }
    ],
    "primary_color": "<string>",
    "surface_color": "<string>",
    "brand_surface_color": "<string>",
    "anonymous_access": true,
    "currency": "EUR",
    "ga_measurement_id": "G-KQFB2GR3HN"
  }
}

Query Parameters

ecosystem
string

Dev/preview only: resolve config by this ecosystem slug instead of the request Origin. Ignored in production.

Required string length: 1 - 100
Pattern: ^[a-z0-9-]+$
Example:

"glasgow"

Response

200 - application/json

Public ecosystem config for the current origin, or null

data
object | null
required